---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libclassfloadhk003.dylib'
relocations:
  - { offsetInCU: 0x68, offset: 0x68, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x1FA0, symSize: 0x270 }
  - { offsetInCU: 0xAD4, offset: 0xAD4, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x54500, symBinAddr: 0x8200, symSize: 0x0 }
  - { offsetInCU: 0xAFB, offset: 0xAFB, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x56440, symBinAddr: 0xA140, symSize: 0x0 }
  - { offsetInCU: 0xB1D, offset: 0xB1D, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x56830, symBinAddr: 0xA530, symSize: 0x0 }
  - { offsetInCU: 0xB3F, offset: 0xB3F, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x577D0, symBinAddr: 0xB4D0, symSize: 0x0 }
  - { offsetInCU: 0xB54, offset: 0xB54, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x577E0, symBinAddr: 0xB4E0, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54160, symBinAddr: 0x80B0, symSize: 0x0 }
  - { offsetInCU: 0xBDA, offset: 0xBDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54164, symBinAddr: 0x80B4, symSize: 0x0 }
  - { offsetInCU: 0xBE5, offset: 0xBE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54168, symBinAddr: 0x80B8, symSize: 0x0 }
  - { offsetInCU: 0xC2A, offset: 0xC2A, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x542C0, symBinAddr: 0x80C0, symSize: 0x0 }
  - { offsetInCU: 0xCA3, offset: 0xCA3, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x54378, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0xCC1, offset: 0xCC1, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5437C, symBinAddr: 0x817C, symSize: 0x0 }
  - { offsetInCU: 0xCDA, offset: 0xCDA, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x54380, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0xCF3, offset: 0xCF3, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x54384, symBinAddr: 0x8184, symSize: 0x0 }
  - { offsetInCU: 0xD0C, offset: 0xD0C, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x54388, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x54390, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x543A0, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x543A8, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x543B0, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x543B8, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x543C0, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x543C8, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x54410, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x5444C, symBinAddr: 0x81DC, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL11classLoader, symObjAddr: 0x54450, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x9533, offset: 0x9533, size: 0x8, addend: 0x0, symName: __ZL13origClassSize, symObjAddr: 0x54458, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x954C, offset: 0x954C, size: 0x8, addend: 0x0, symName: __ZL14origClassBytes, symObjAddr: 0x54460, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x959E, offset: 0x959E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xA40, symSize: 0x80 }
  - { offsetInCU: 0x9633, offset: 0x9633, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x990, symSize: 0xB0 }
  - { offsetInCU: 0x968E, offset: 0x968E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x890, symSize: 0x100 }
  - { offsetInCU: 0x9921, offset: 0x9921, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0xAC0, symSize: 0xC0 }
  - { offsetInCU: 0x9973, offset: 0x9973, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB80, symSize: 0x220 }
  - { offsetInCU: 0x9B58, offset: 0x9B58, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xDA0, symSize: 0xA0 }
  - { offsetInCU: 0x9C0B, offset: 0x9C0B, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xE40, symSize: 0x110 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xF50, symSize: 0x150 }
  - { offsetInCU: 0x9E92, offset: 0x9E92, size: 0x8, addend: 0x0, symName: _nsk_printHexBytes, symObjAddr: 0xC10, symBinAddr: 0x10A0, symSize: 0x200 }
  - { offsetInCU: 0xA057, offset: 0xA057, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x12A0, symSize: 0x30 }
  - { offsetInCU: 0xA138, offset: 0xA138, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x12D0, symSize: 0x150 }
  - { offsetInCU: 0xA330, offset: 0xA330, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1420, symSize: 0x160 }
  - { offsetInCU: 0xA5F0, offset: 0xA5F0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1580, symSize: 0x4A0 }
  - { offsetInCU: 0xA863, offset: 0xA863, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1A20, symSize: 0x1B0 }
  - { offsetInCU: 0xAA7E, offset: 0xAA7E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1BD0, symSize: 0xA0 }
  - { offsetInCU: 0xAB79, offset: 0xAB79, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1C70, symSize: 0x20 }
  - { offsetInCU: 0xABB0, offset: 0xABB0, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1C90, symSize: 0x20 }
  - { offsetInCU: 0xABE7, offset: 0xABE7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1CB0, symSize: 0x20 }
  - { offsetInCU: 0xAD56, offset: 0xAD56, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1CD0, symSize: 0x1A0 }
  - { offsetInCU: 0xB072, offset: 0xB072, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x1E70, symSize: 0x130 }
  - { offsetInCU: 0xB222, offset: 0xB222, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2210, symSize: 0x1B0 }
  - { offsetInCU: 0xB511, offset: 0xB511, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x23C0, symSize: 0x80 }
  - { offsetInCU: 0xB5DA, offset: 0xB5DA, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2440, symSize: 0x6A0 }
  - { offsetInCU: 0xC16F, offset: 0xC16F, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB0F0, symBinAddr: 0x46C0, symSize: 0xB0 }
  - { offsetInCU: 0xC1E6, offset: 0xC1E6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2AE0, symSize: 0x70 }
  - { offsetInCU: 0xC2A2, offset: 0xC2A2, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x2B50, symSize: 0xA0 }
  - { offsetInCU: 0xC3AD, offset: 0xC3AD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2BF0, symSize: 0x40 }
  - { offsetInCU: 0xC4A3, offset: 0xC4A3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2C30, symSize: 0x2B0 }
  - { offsetInCU: 0xC849, offset: 0xC849, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2EE0, symSize: 0xC0 }
  - { offsetInCU: 0xC98F, offset: 0xC98F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2FA0, symSize: 0x10 }
  - { offsetInCU: 0xCA51, offset: 0xCA51, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2FB0, symSize: 0x220 }
  - { offsetInCU: 0xCD4E, offset: 0xCD4E, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x31D0, symSize: 0x10 }
  - { offsetInCU: 0xCDAB, offset: 0xCDAB, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x31E0, symSize: 0x2F0 }
  - { offsetInCU: 0xD155, offset: 0xD155, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F00, symBinAddr: 0x34D0, symSize: 0x10 }
  - { offsetInCU: 0xD26E, offset: 0xD26E, size: 0x8, addend: 0x0, symName: __ZL25callbackClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0x9F10, symBinAddr: 0x34E0, symSize: 0x490 }
  - { offsetInCU: 0xD7FA, offset: 0xD7FA, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA3A0, symBinAddr: 0x3970, symSize: 0xD50 }
  - { offsetInCU: 0xE8C8, offset: 0xE8C8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB1A0, symBinAddr: 0x4770, symSize: 0x36A }
...
